﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DbContextLib;
using Entities;
using Microsoft.EntityFrameworkCore;

namespace StubbedContextLib
{
    public class StubbedContext : LibraryContext
    {
        public List<PersonEntity> Persons { get; set; } = new List<PersonEntity>();
        public List<BookEntity> Books {  get; set; } = new List<BookEntity>();

        public StubbedContext() {
            Books.Add(new BookEntity("test", "test", "test"));
            Books.Add(new BookEntity("test2", "test2", "test2"));
        }

    }
}
